package com.intland.codebeamer.functionaltest.page;

import com.codeborne.selenide.WebDriverRunner;
import com.intland.codebeamer.functionaltest.page.wiki.ProjectWikiPage;
import org.openqa.selenium.By;
import org.openqa.selenium.NoSuchElementException;
import org.openqa.selenium.support.ui.ExpectedConditions;

import java.util.concurrent.TimeUnit;

import static com.codeborne.selenide.Condition.visible;
import static com.codeborne.selenide.Selenide.$;
import static com.codeborne.selenide.Selenide.Wait;
import static com.codeborne.selenide.Selenide.page;

/**
 * Copyright by Intland Software
 * <p>
 * All rights reserved.
 * <p>
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the productLicense agreement
 * you entered into with Intland.
 */
public class NewManagedRepositoryPage extends BasePage{

    public boolean isPageLoaded() throws UnsupportedOperationException {
        try {
            Wait().withTimeout(5, TimeUnit.SECONDS)
                    .ignoring(NoSuchElementException.class)
                    .until(ExpectedConditions.visibilityOf($("#repositoryName")));
        }catch(Exception e){
            return false;
        }
        return true;
    }

    public ProjectWikiPage clickOnFinish() {
        WebDriverRunner.getWebDriver().manage().timeouts().pageLoadTimeout(120, TimeUnit.SECONDS);
        $("#finishButton").click();
        $(By.linkText("Wiki")).waitUntil(visible, 120000);
        WebDriverRunner.getWebDriver().manage().timeouts().pageLoadTimeout(30, TimeUnit.SECONDS);
        return page(ProjectWikiPage.class);
    }


}
